ValidateVolumeCapabilitiesResponsePBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords.impl.pb, class: ValidateVolumeCapabilitiesResponsePBImpl

Package org.apache.hadoop.yarn.api.protocolrecords.impl.pb

# Class ValidateVolumeCapabilitiesResponsePBImpl

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesResponse
org.apache.hadoop.yarn.api.protocolrecords.impl.pb.ValidateVolumeCapabilitiesResponsePBImpl

public class ValidateVolumeCapabilitiesResponsePBImpl extends org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesResponse
PB wrapper for CsiAdaptorProtos.ValidateVolumeCapabilitiesResponse.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidateVolumeCapabilitiesResponsePBImpl()`
  `ValidateVolumeCapabilitiesResponsePBImpl(org.apache.hadoop.yarn.proto.CsiAdaptorProtos.ValidateVolumeCapabilitiesResponse response)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `org.apache.hadoop.yarn.proto.CsiAdaptorProtos.ValidateVolumeCapabilitiesResponse`
  `getProto()`
  `String`
  `getResponseMessage()`
  `int`
  `hashCode()`
  `boolean`
  `isSupported()`
  `void`
  `setResponseMessage(String message)`
  `void`
  `setSupported(boolean supported)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesResponse

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidateVolumeCapabilitiesResponsePBImpl

    public ValidateVolumeCapabilitiesResponsePBImpl()

  - ### ValidateVolumeCapabilitiesResponsePBImpl

    public ValidateVolumeCapabilitiesResponsePBImpl(org.apache.hadoop.yarn.proto.CsiAdaptorProtos.ValidateVolumeCapabilitiesResponse response)

- ## Method Details

  - ### setSupported

    public void setSupported(boolean supported)
    Specified by:
      `setSupported` in class `org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesResponse`

  - ### isSupported

    public boolean isSupported()
    Specified by:
      `isSupported` in class `org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesResponse`

  - ### setResponseMessage

    public void setResponseMessage(String message)
    Specified by:
      `setResponseMessage` in class `org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesResponse`

  - ### getResponseMessage

    public String getResponseMessage()
    Specified by:
      `getResponseMessage` in class `org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesResponse`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### getProto

    public org.apache.hadoop.yarn.proto.CsiAdaptorProtos.ValidateVolumeCapabilitiesResponse getProto()